<?php
//================================================================
// KOOBI
// ©2002-2007 dream4
// Autor         : dream4 - http://www.dream4.de
// Koobi-Version : Standard + Pro
// Anmerkung     : -
// Geaendert am  : 13.12.2006
//================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//================================================================
class DB_Result
{
	var $_result;

	function DB_Result($result)
	{
		$this->_result = $result;
	}
	
	function FetchArray()
	{
		return @mysql_fetch_array($this->_result);
	}
	
	function dataseek() {
		return @mysql_data_seek($this->_result);
	}
	
	
	
	
	function fetchrow_assoc() {
 		return @mysql_fetch_assoc($this->_result);
 	}
	
	function FetchAssocArray()
	{
		return @mysql_fetch_assoc($this->_result);
	}
	
	function FetchObject()
	{
		return mysql_fetch_object($this->_result);
	}
	
	function FetchRow()
	{
		return @mysql_fetch_object($this->_result);
	}
	
	function NumRows()
	{
		return @mysql_num_rows($this->_result);
	}
	
	function smysql_version() {
		return  mysql_get_server_info($this->_result);
	}
	
	function NumFields()
	{
		return mysql_num_fields($this->_result);
	}	
	
	function FieldName($i)
	{
		return mysql_field_name($this->_result, $i);
	}
	
	function close()
	{
		$r = @mysql_free_result($this->_result);
		unset($this);
		return $r;
	}
}
 
class DB
{
	var $_handle;
	
	function DB($host, $user, $pass, $db)
	{
		$this->_handle = @mysql_connect($host, $user, $pass);
		if(!$this->_handle)
		{
			$this->Error('connect');
			return false;
		}
		
		if(!@mysql_select_db($db, $this->_handle))
		{
			$this->Error('selectdb');
			return false;
		}
		
		return true;
	}
	

	
	function Query($query)
	{
		$res = @mysql_query($query, $this->_handle);
		
		if(!$res)
		{
			$this->Error('query', $query);
		}
		#echo "<pre>" . $query . "</pre>";
		@$_SESSION['queries'] =  @$_SESSION['queries']+1;
		return new DB_Result($res);
	}
	
	function RowQuery($query)
	{
		$res = @mysql_fetch_object(@mysql_query($query, $this->_handle));
		return $res;
	}
	
	function ArrQuery($query)
	{
		$res = @mysql_fetch_array(@mysql_query($query, $this->_handle));
		return $res;
	}
	
	function Escape($query)
	{
		return mysql_escape_string($query);
	}
	
	function InsertId()
	{
		return mysql_insert_id($this->_handle);
	}
	
	function AffectedRows()
	{
		return mysql_affected_rows($this->_handle);
	}
	
	function mysql_version() {
		return  mysql_get_server_info($this->_handle);
	}
	
	function Error($type, $query = '')
	{
		global $pref;
		$my_error = mysql_error();
		$my_errno = mysql_errno();

		if(@$_SESSION['user_group']==1 && ($my_errno != '1146' && $my_errno != '1060'))
		{
			echo('<div class="round"><div style="height:100px; margin-bottom:5px; width:800px; overflow:auto; background:#fff"><pre style=font-size:11px>Fehlernummer: ' . $my_errno . '<br />Fehler: ' . $my_error . '<br />Vorgang: ' . $type . ' ' . $query . '</pre></div></div>');
		}
		return true;
		
	}
	
	
	function Disconnect()
	{
		mysql_close($this->_handle);
	}
}
?>